//1.Опишіть своїми словами, що таке метод об'єкту
//Метод об'єкта це функця яка зберігаются у всередені об'єкта. 

//2.Який тип даних може мати значення властивості об'єкта?
//значення властивостей об'єкта можуть буди будь-яким типом данних. 

//3.Об'єкт це посилальний тип даних. Що означає це поняття?
//на відміну від примітивних типів данних які записуються у стєк об'єкти записуються у хиап та є посилальним типом данних, це означає що ми можемо змінювати ці данні неопосередковано. 


//Завдання:

function createNewUser(firstName, lastName) {
    return {
      firstName: firstName,
      lastName: lastName,
      getLogin() {
        return (`${this.firstName[0]}${this.lastName}`).toLowerCase()
      }
    };
};
  
user = createNewUser(prompt("first name?"), prompt("last name?"));
  
console.log(user.getLogin());